[B063]Extract Multiple Patent Sequence

post
https://connect.patsnap.com/bio-openapi/patent/extract/multi
Try in Sandbox

Extract all sequences from a single patent and provide the total count, sequence numbers, sequence codes, and sequence details. Present the information in a paginated format.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
db_type
Required
array[ "ALLPATENT" ]
Extract Range(Enumeration value:ALLPATENT、CLAIMS)
limit
integer<int32>50000
The maximum number of returned results is supported to be no more than 100,000, with a default value of 50,000
page
Required
integer<int32>1
Current page number, start from 1
patent_ids
array[ "d10f8044-d3b9-4b53-b27f-b0f4fe9092cd" ]
Patent ID Collections, Input up to 100 patent IDs.
patent_numbers
array[ "WO2004050828A2" ]
Patent publication number collections, Input up to 100 patent Numbers.One of patent_numbers、patent_ids must be filled in, and if they are filled in at the same time, patent_ids shall prevail, followed by patent_numbers
sequence_length
object{ "end": 200, "start": 50 }
Sequence Length Range
end
integer<int32>100
End value
start
integer<int32>-
Start value
sequence_type
stringPROTEIN
Sequence Type, PROTEIN or NUCLEOTIDE
size
Required
integer<int32>10
Current page result size, support maximum 100

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
page
integer<int32>1
Current page number, start from 1
size
integer<int32>10
Current page result size, support maximum 100
limit
integer<int32>50000
The maximum number of returned results is supported to be no more than 100,000, with a default value of 50,000
total
integer<int32>1000
Query Results Count
results
arrayPlease check the form: OpenApiExtractMultiHit
Query Results
s_len
integer<int32>123
Subject sequence length
seq_id
string834879
Sequence ID
antibody
stringYes
Whether it is an antibody sequence
location
object{ "APP": [ "5" ], "FIG": [ "1A" ], "PAGE": [ "55/56" ], "ANNEX": [ "2" ], "TABLE": [ "A-1" ], "EXAMPLE": [ "8" ] }
Sequence location in patent
s_sequence
stringMQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA
Subject sequence
patent_number
stringWO2004050828A2
Patent publication number
sequence_type
stringPROTEIN
Sequence Type, PROTEIN or NUCLEOTIDE
total_per_patent
integer<int32>100
The total number of a single patent sequence
claimed_in_patent
string1
Whether it is disclosed in the claims
sequence_id_number
array[ "1" ]
Sequence ID number in patent
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "page": 1,
    "size": 10,
    "limit": 50000,
    "total": 1000,
    "results": [
      {
        "s_len": 123,
        "seq_id": 834879,
        "antibody": "Yes",
        "location": {
          "APP": [
            "5"
          ],
          "FIG": [
            "1A"
          ],
          "PAGE": [
            "55/56"
          ],
          "ANNEX": [
            "2"
          ],
          "TABLE": [
            "A-1"
          ],
          "EXAMPLE": [
            "8"
          ]
        },
        "s_sequence": "MQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA",
        "patent_number": "WO2004050828A2",
        "sequence_type": "PROTEIN",
        "total_per_patent": 100,
        "claimed_in_patent": 1,
        "sequence_id_number": [
          "1"
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!
67200008apiKey not Pass and call failed.
67200009apiKey not match Token and call failed.

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found
53000001Invalid parameter.
53000003Server internal exception.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms